## mailcrypt 3.5.9

=== debian/changelog ===
mailcrypt (3.5.9-8) unstable; urgency=medium

  * make build reproducible using patch from Chris Lamb, (closes: #777506)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 13:53:47 +0100

mailcrypt (3.5.9-7) unstable; urgency=medium

  * autoupdate configure.in and rename to configure.ac
  * autoreconf, refresh configure
  * bump standards version
  * canonical packaging repo urls
  * translation by Adriano Rafael Gomes <adrianorg@gmail.com> (closes: #693382)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 23:18:12 +0100

mailcrypt (3.5.9-6) unstable; urgency=low

  * Allow emacs24 (closes: #679944, #685179)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Nov 2012 10:22:49 +0000

mailcrypt (3.5.9-5) unstable; urgency=low

  * Acknowledge and merge translation-related NMU.  Thanks Christian Perrier!
  * Bump standards version
  * Silence lintian tag description-synopsis-starts-with-article
  * Single-debian-patch source option (closes: #643211)
  * Silence lintian tag maintainer-script-without-set-e

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Mar 2012 23:12:12 +0100

mailcrypt (3.5.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #633472
    - Polish (Michał Kułach).  Closes: #659022

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Feb 2012 07:51:29 +0100

mailcrypt (3.5.9-4) unstable; urgency=low

  * bump standards version (debian/control)
  * Debconf translation:
    - Japanese (Nobuhiro Iwamatsu).  Closes: #605341

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Apr 2011 19:31:11 +0100

mailcrypt (3.5.9-3) unstable; urgency=low

  * Merge upstream changes
  * Make build work without emacs (closes: 577380)
  * Perform updates deferred until upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Apr 2010 12:57:48 +0100

mailcrypt (3.5.9-2) unstable; urgency=low

  * Merge upstream changes
    - updates to autoconf configuration files
  * regenerate actual configure script (not included upstream)
  * elaborate source locations in debian/README.Debian,
  * standardise repo info in debian/control
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:38 +0000

mailcrypt (3.5.9-1) unstable; urgency=low

  * New upstream release
  * Support uscan
  * Make Barak A. Pearlmutter comaintainer dejure instead of just defacto
    - only practical difference: bug reports via CC + QA, and lower integration hassle

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Mar 2010 14:15:08 +0000

mailcrypt (3.5.8+CVS.2010.03.08-0.1) unstable; urgency=low

  * Debian packaging tweaks
  * New upstream version
    - merge in bug fixes that were pushed upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Mar 2010 18:15:29 +0000

mailcrypt (3.5.8+CVS.2010.02.23-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix VCS fields (debian/changelog)
  * New upstream version
    - fix for emacs 23.1 rmail-cease-edit nulling buffer-local rmail-buffer

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Feb 2010 16:11:12 +0000

mailcrypt (3.5.8+CVS.2010.02.14-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - repo with changes in debian/control Vcs field
  * Merge ongoing changes in upstream CVS
    - upstream merge of our patch fixing makeinfo error (mailcrypt.texi)
    - fixes build error with recent .texi tools (Makefile.in) addressing
      http://sourceforge.net/tracker/?func=detail&aid=2778193&group_id=397&atid=100397
    - remove gratuitous differences with latest upstream Makefile.in
    - adds autoloads comments (*.el) addressing
      http://sourceforge.net/tracker/?func=detail&aid=1080283&group_id=397&atid=100397
      and allowing (in principle) auto-generation of Debian emacsen autoloads
  * Emacs23 issues
    - Patch from Toni Schmidbauer <toni@stderror.at> (closes: #545892)
    - Switch rmail-convert-file to rmail-convert-file-maybe (mc-toplevel.el)
    - Fix test for Emacs >= 20.3 (debian/mailcrypt-init.el)
    - Work around rmail-cease-edit setting rmail-buffer to nil breaking
      mc-rmail-decrypt-message (!)
  * Insert missing quote in mc-scheme-pgp{50,65} to fix mc-*-verify-signature
  * Describe import into GIT in debian/README.Debian
  * Debconf translation:
    - Finnish (Esko Arajärvi).  Closes: #549709
  * Address lintian and build issues
    - Do not include *.texi in binary package or register it with doc-base
    - Add dependency on recent-enough dpkg or install-info
    - Stop calling install-docs in installation scripts
    - Stop calling install-info in installation scripts
    - Stop calling install-info in debian/rules (!)
    - Regenerate debian/rules from debian/rules.in
    - Get rid of ...//... in debian/rules as it bugs me (and is error prone)
    - Flush lintian warning about ignored make distclean error
    - rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Feb 2010 00:33:52 +0000

mailcrypt (3.5.8+CVS.2005.04.29.1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on install-info and don't call install-info with
    an absolute path. Closes: #545665
  * Ignore rm errors to prevent FTBFS. Closes: #545665
  * Depend on "dpkg (>= 1.15.4) | install-info" as install-info
    is no longer provided by dpkg
  * Move "Homepage:" out of the package description
  * Use "Editors" for the doc-base section, not "Apps/Editors"
  * No longer ignore errors from make in the clean target
  * Drop ePerl crap from the lintian overrides file
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504032
    - Spanish (Francisco Javier Cuadrado).  Closes: #533142
    - Russian (Yuri Kozlov).  Closes: #543190
    - Vietnamese (Clytie Siddall).  Closes: #548990

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Oct 2009 09:28:36 +0200


