=== debian/control ===
Source: mailcrypt
Priority: optional
Section: mail
Maintainer: Davide G. M. Salvetti <salve@debian.org>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 3.9.6
Build-Depends-Indep: eperl, po-debconf, texinfo, texi2html, dpkg (>= 1.15.4) | install-info
Homepage: http://mailcrypt.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/collab-maint/mailcrypt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mailcrypt.git

Package: mailcrypt
Architecture: all
Depends: debconf (>= 0.2.0) | debconf-2.0, gnupg, emacs | emacs24 | emacs23 | emacs22 | emacs21 | emacs-snapshot, make, dpkg (>= 1.15.4) | install-info
Description: Emacs interface to GPG and PGP
 Mailcrypt is an Emacs lisp package that provides a simple but
 powerful interface to cryptographic functions for mail and news.
 With Mailcrypt, encryption becomes a seamlessly integrated part of
 mail and news handling.  Mailcrypt can automatically fetch public
 keys to encode, decode, and verify messages; can be configured to
 automate mailing through anonymous remailers; and can interface to
 both GPG (the GNU Privacy Guard) and PGP.
 .
 Although Mailcrypt may be used to process data in arbitrary Emacs
 buffers, it is most useful in conjunction with other Emacs packages
 for handling mail and news.  Mailcrypt has specialized support for
 Rmail, VM, MH-E, Mew, and Gnus.
 .
 XEmacs ships with its own version of Mailcrypt, so this package
 should only be used with GNU Emacs.  (I.e., you don't need to install
 this package if you only use XEmacs.)
